const grid = document.querySelector('.grid');
const populationDisplay = document.getElementById('population');
const fundsDisplay = document.getElementById('funds');
const buttons = document.querySelectorAll('.controls button');

let selectedTool = null;
let population = 0;
let funds = 10000;

// Create grid
for (let i = 0; i < 400; i++) {
  const cell = document.createElement('div');
  cell.addEventListener('click', () => placeBuilding(cell));
  grid.appendChild(cell);
}

// Set up tools
buttons.forEach(button => {
  button.addEventListener('click', () => {
    selectedTool = button.id;
    buttons.forEach(btn => btn.classList.remove('active'));
    button.classList.add('active');
  });
});

function placeBuilding(cell) {
  if (selectedTool === 'demolish') {
    cell.className = '';
    return;
  }

  if (cell.classList.length > 0) return;

  const cost = {
    residential: 500,
    commercial: 1000,
    industrial: 1500,
    road: 100
  }[selectedTool];

  if (funds < cost) {
    alert('Not enough funds!');
    return;
  }

  funds -= cost;
  fundsDisplay.textContent = funds;

  cell.classList.add(selectedTool);

  if (selectedTool === 'residential') {
    population += 10;
    populationDisplay.textContent = population;
  }
}
